HTTP::Cookies::Microsoft(3)

NAME
HTTP::Cookies::Microsoft - access to Microsoft cookies files

SYNOPSIS
 use LWP;
 use HTTP::Cookies::Microsoft;
 use Win32::TieRegistry(Delimiter => "/");
 my $cookies_dir = $Registry->
      {"CUser/Software/Microsoft/Windows/CurrentVersion/Explorer/Shell Folders/Cookies"};

 $cookie_jar = HTTP::Cookies::Microsoft->new(
                   file     => "$cookies_dir\\index.dat",
                   'delayload' => 1,
               );
 my $browser = LWP::UserAgent->new;
 $browser->cookie_jar( $cookie_jar );

DESCRIPTION
This is a subclass of "HTTP::Cookies" which loads Microsoft Internet Explorer 5.x and 6.x for Windows (MSIE) cookie files.

See the documentation for HTTP::Cookies.

METHODS
The following methods are provided:

$cookie_jar = HTTP::Cookies::Microsoft->new;
    The constructor takes hash style parameters. In addition to the regular HTTP::Cookies parameters, HTTP::Cookies::Microsoft recognizes the following:

      delayload:       delay loading of cookie data until a request
                       is actually made. This results in faster
                       runtime unless you use most of the cookies
                       since only the domain's cookie data
                       is loaded on demand.

CAVEATS
Please note that the code DOESN'T support saving to the MSIE cookie file format.

AUTHOR
Johnny Lee <typo_pl@hotmail.com>

COPYRIGHT
Copyright 2002 Johnny Lee

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.